//
//  NSRegularExpressionAdditions.h
//  AraeliumFoundation
//
//  Created by Seth Willits on 2/22/19.
//  Copyright © 2019 Araelium Group. All rights reserved.
//

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

#define NSREGEX(__expr, __options) \
		({ \
			NSRegularExpression * expr = [NSRegularExpression regularExpressionWithPattern:(__expr) options:(__options) error:nil]; \
			assert(expr); \
			expr; \
		})

@interface NSRegularExpression (AraeliumAdditions)

- (nullable NSTextCheckingResult *)firstMatchInString:(NSString *)string options:(NSMatchingOptions)options startingAt:(NSUInteger)location;

- (NSRange)rangeOfFirstMatchInString:(NSString *)string options:(NSMatchingOptions)options startingAt:(NSUInteger)location;

@end

NS_ASSUME_NONNULL_END
