//
//  AGUpdatePanel.h
//  AraeliumUpdate
//
//  Created by Seth Willits on 8/17/12.
//  Copyright (c) 2012 Araelium Group. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <AraeliumUpdate/AraeliumUpdate.h>
#import <WebKit/WebKit.h>
@class AGUpdatePanelBackgroundView;

NS_ASSUME_NONNULL_BEGIN


typedef NS_ENUM(NSInteger, AGUpdatePanelResponseCode) {
	AGUpdatePanelResponseOK = 1,
	AGUpdatePanelResponseCancel = 0,
	AGUpdatePanelResponseRenew = 2
};


@interface AGUpdatePanel : NSPanel
{
	NSArray * mTopLevelObjects;
	IBOutlet NSView * mainView;
	IBOutlet NSTextField * titleField;
	IBOutlet NSTextField * secondaryField;
	IBOutlet NSView * webViewContainer;
	WKWebView * webView;
	IBOutlet NSButton * installButton;
	IBOutlet NSButton * cancelButton;
	IBOutlet NSButton * renewButton;
	IBOutlet NSButton * skipButton;
	IBOutlet NSTextField * statusField;
	IBOutlet NSProgressIndicator * progressIndicator;
	IBOutlet NSView * titleBoxView;
	
	BOOL mRetained;
	BOOL mDisplayedAsSheet;
	BOOL mDisplayedAsModal;
	AGUpdate * mUpdate;
	void (^mCompletionHandler)(AGUpdatePanelResponseCode result);
}



@property (readwrite, assign) NSUInteger numberOfUpdatesAvailable;
@property (readwrite, retain, nonnull) AGUpdate * appUpdate;
@property (readwrite, assign) BOOL allowsDownloadingInBackground;
@property (readwrite, assign) BOOL upgradingRequired;

+ (instancetype)panel;
- (void)beginSheetModalForWindow:(NSWindow *)window completionHandler:(void (^)(AGUpdatePanelResponseCode result))handler;
- (NSInteger)runModal __attribute__((deprecated("Modal windows prevent the AGUpdate from downloading. Use 'showWindow' instead.")));
- (void)showWindow:(void (^ __nullable)(AGUpdatePanelResponseCode result))completionHandler;

@end
NS_ASSUME_NONNULL_END
